Loading...
Searching...
No Matches
NoopStats< ValueT > Struct Template Reference

No-op Stats class. More...

`#include <nanovdb/util/GridStats.h>`

## Public Types

using | ValueType = ValueT

## Public Member Functions

| NoopStats ()
| NoopStats (const ValueT &)
NoopStats & | add (const ValueT &)
NoopStats & | add (const ValueT &, uint64_t)
NoopStats & | add (const NoopStats &)

## Static Public Member Functions

static constexpr size_t | size ()
static constexpr bool | hasMinMax ()
static constexpr bool | hasAverage ()
static constexpr bool | hasStdDeviation ()

## Detailed Description

template<typename ValueT>
struct nanovdb::NoopStats< ValueT >

No-op Stats class.

## Member Typedef Documentation

## ValueType

template<typename ValueT>

using ValueType = ValueT

## Constructor & Destructor Documentation

## NoopStats() [1/2]

template<typename ValueT>

NoopStats | ( |  | ) |

inline

## NoopStats() [2/2]

template<typename ValueT>

NoopStats | ( | const ValueT & |  | ) |

inline

## Member Function Documentation

## add() [1/3]

template<typename ValueT>

NoopStats & add | ( | const NoopStats< ValueT > & |  | ) |

inline

## add() [2/3]

template<typename ValueT>

NoopStats & add | ( | const ValueT & |  | ) |

inline

## add() [3/3]

template<typename ValueT>

NoopStats & add | ( | const ValueT & | ,
|  | uint64_t | )

inline

## hasAverage()

template<typename ValueT>

constexpr bool hasAverage | ( |  | ) |

inline static constexpr

## hasMinMax()

template<typename ValueT>

constexpr bool hasMinMax | ( |  | ) |

inline static constexpr

## hasStdDeviation()

template<typename ValueT>

constexpr bool hasStdDeviation | ( |  | ) |

inline static constexpr

## size()

template<typename ValueT>

constexpr size_t size | ( |  | ) |

inline static constexpr